> This page is for version v1.0.
> For other versions, use one of these documentation indexes:
> - v2.0 (default): https://docs.cable.tech/v-2-0/llms.txt
> - v1.0: https://docs.cable.tech/v-1-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cable.tech/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server.

# Update an existing transaction screening

PUT https://transaction-api.cable.tech/transaction_screening
Content-Type: application/json

Reference: https://docs.cable.tech/v-1-0/api-reference/transaction-data-api/screening/update-transaction-screening

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an UpdateTransactionScreeningRequest.

- `screening_id` (string, required) — Unique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.
- `timestamp` (datetime, required) — The time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.
- `type` (string, optional) — The type of screening check performed.
- `outcome` (string, optional) — The outcome of the screening check.
- `provider` (string, optional) — The provider that provided the screening check.
- `lists` (list of string, optional) — The list(s) that the transaction was screened against.
- `related_tx_id` (string, optional) — Unique identifier for a transaction as it relates to the transaction screening.
- `additional_properties` (list of AdditionalProperties, optional) — Additional metadata that relates to a transaction screening.

## Response

### 200

Transaction screening updated successfully

- `screening_id` (string, required) — Unique identifier for a transaction screening. This is the primary key for a screening and should be unique across all transaction screenings. Updates to a transaction screening should be made using this identifier.
- `timestamp` (datetime, required) — The time of the transaction screening. This should be in ISO 8601 format. When adding a new transaction screening, this field represents the creation time. When updating a transaction screening, this represents the time of the update.
- `type` (string, optional) — The type of screening check performed.
- `outcome` (string, optional) — The outcome of the screening check.
- `provider` (string, optional) — The provider that provided the screening check.
- `lists` (list of string, optional) — The list(s) that the transaction was screened against.
- `related_tx_id` (string, optional) — Unique identifier for a transaction as it relates to the transaction screening.
- `additional_properties` (list of AdditionalProperties, optional) — Additional metadata that relates to a transaction screening.

## Errors

### 400 Bad Request Error

Invalid transaction screening data

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 401 Unauthorized Error

Unauthorized request

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 404 Not Found Error

Transaction screening not found

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 429 Too Many Requests Error

Rate limit exceeded

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

### 500 Internal Server Error

Server error

- `code` (integer, required)
- `message` (string, required)
- `errors` (list of GeneralErrorErrorsItems, optional) — Detailed information about errors in specific fields.

## Types

### AdditionalProperties

Additional metadata that can be added to a payload, such as transaction checks, alerts, and suspicious activities.

- `key` (string, required) — The key of the additional property. This should be unique within the additional properties array.
- `value` (string, required) — The value of the additional property.
- `type` (enum, required) — The type of the additional property value, for example "string", "number", "boolean", "object", "array".
  - Allowed values: `STRING`, `NUMBER`, `BOOLEAN`, `OBJECT`, `ARRAY`
- `description` (string, required) — A description of the additional property. This should provide context for the value.

### GeneralErrorErrorsItems

- `field` (string, optional)
- `message` (string, optional)

## Examples

**Request**

```json
{
  "screening_id": "scrn_9f8b7c6d5e4a3b2c1d0e",
  "timestamp": "2024-01-15T09:30:00Z"
}
```

**Response**

```json
{
  "screening_id": "scrn_9f8b7c6d5e4a3b2c1d0e",
  "timestamp": "2024-01-15T09:30:00Z",
  "type": "Sanctions Check",
  "outcome": "Clear",
  "provider": "Cable Screening Services",
  "lists": [
    "OFAC SDN List",
    "UN Sanctions List"
  ],
  "related_tx_id": "tx_1234567890abcdef",
  "additional_properties": [
    {
      "key": "risk_score",
      "value": "12",
      "type": "NUMBER",
      "description": "Risk score assigned by the screening provider"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://transaction-api.cable.tech/transaction_screening"

payload = {
    "screening_id": "scrn_9f8b7c6d5e4a3b2c1d0e",
    "timestamp": "2024-01-15T09:30:00Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://transaction-api.cable.tech/transaction_screening';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"screening_id":"scrn_9f8b7c6d5e4a3b2c1d0e","timestamp":"2024-01-15T09:30:00Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://transaction-api.cable.tech/transaction_screening"

	payload := strings.NewReader("{\n  \"screening_id\": \"scrn_9f8b7c6d5e4a3b2c1d0e\",\n  \"timestamp\": \"2024-01-15T09:30:00Z\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://transaction-api.cable.tech/transaction_screening")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"screening_id\": \"scrn_9f8b7c6d5e4a3b2c1d0e\",\n  \"timestamp\": \"2024-01-15T09:30:00Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://transaction-api.cable.tech/transaction_screening")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"screening_id\": \"scrn_9f8b7c6d5e4a3b2c1d0e\",\n  \"timestamp\": \"2024-01-15T09:30:00Z\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://transaction-api.cable.tech/transaction_screening', [
  'body' => '{
  "screening_id": "scrn_9f8b7c6d5e4a3b2c1d0e",
  "timestamp": "2024-01-15T09:30:00Z"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://transaction-api.cable.tech/transaction_screening");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"screening_id\": \"scrn_9f8b7c6d5e4a3b2c1d0e\",\n  \"timestamp\": \"2024-01-15T09:30:00Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "screening_id": "scrn_9f8b7c6d5e4a3b2c1d0e",
  "timestamp": "2024-01-15T09:30:00Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://transaction-api.cable.tech/transaction_screening")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```